import React from "react";
import { ITheme, IColorsType } from "../theme";
export interface IConfig {
    theme: Omit<ITheme, "colors"> & {
        colors: Partial<IColorsType>;
    };
}
export declare type IConfigSetFunc = (config: Partial<IConfig>) => any;
export declare type IConfigThemeSetFunc = (theme: Partial<ITheme>) => any;
export interface IConfigContext {
    config: IConfig;
    setConfig: IConfigSetFunc;
}
export declare const ConfigContext: React.Context<IConfigContext>;
/**
 * config context hooks
 */
export declare const useConfig: () => [IConfig, IConfigSetFunc];
/**
 * HOC to inject config context value
 * @param Comp component
 */
export declare const withConfig: <P extends IConfigContext>(Comp: React.ComponentType<P>) => (props: P) => JSX.Element;
