var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useState, useCallback, useMemo, useEffect } from "react";
import { ThemeProvider } from "../theme/theme-provider";
import { DEFAULT_THEME } from "../theme/default-theme";
import { ConfigContext } from "./config-context";
import { ColorModeProvider, useColorMode, DEFAULT_COLOR_MODE_VALUE, } from "../theme/color-mode/color-mode-context";
export const ConfigBase = function (props) {
    const { children, config: configProp } = props;
    const [colorMode] = useColorMode();
    const colors = useMemo(() => {
        var _a, _b;
        const _c = DEFAULT_THEME.colors, { modes: defaultModes } = _c, restDefaultColor = __rest(_c, ["modes"]);
        const defaultColors = Object.assign(Object.assign({}, restDefaultColor), (((_a = configProp === null || configProp === void 0 ? void 0 : configProp.theme) === null || _a === void 0 ? void 0 : _a.colors) || {}));
        return Object.assign(Object.assign({ [DEFAULT_COLOR_MODE_VALUE]: defaultColors }, (((_b = configProp === null || configProp === void 0 ? void 0 : configProp.theme) === null || _b === void 0 ? void 0 : _b.colors.modes) || {})), (defaultModes || {}));
    }, [configProp]);
    const [config, changeConfig] = useState({
        theme: Object.assign(Object.assign(Object.assign({}, DEFAULT_THEME), (configProp.theme || {})), { colors: colors[colorMode] || DEFAULT_THEME.colors }),
    });
    const setConfig = useCallback((c) => {
        changeConfig(Object.assign(Object.assign({}, config), c));
    }, [config]);
    useEffect(() => {
        changeConfig(Object.assign(Object.assign({}, config), { theme: Object.assign(Object.assign({}, config.theme), { colors: colors[colorMode] || DEFAULT_THEME.colors }) }));
    }, [colors, colorMode]);
    return (React.createElement(ConfigContext.Provider, { value: { config, setConfig } },
        React.createElement(ThemeProvider, { theme: config.theme }, children)));
};
export const ConfigProvider = props => {
    const { defaultColorMode } = props, configProps = __rest(props, ["defaultColorMode"]);
    return (React.createElement(ColorModeProvider, { defaultColorMode: defaultColorMode },
        React.createElement(ConfigBase, Object.assign({}, configProps))));
};
ConfigBase.defaultProps = {
    config: {},
};
