var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/** @jsx jsx */
import React, { useMemo } from "react";
import { ESize } from "../enum/size";
import { getCss, jsx } from "../theme";
import { transparentize } from "polished";
export const Input = React.forwardRef((props, ref) => {
    const { value, style, onChange, size } = props, rest = __rest(props, ["value", "style", "onChange", "size"]);
    const baseStyles = useMemo(() => {
        return getCss({
            boxSizing: "border-box",
            outline: "none",
            border: "1px solid",
            borderColor: "inputBorder",
            color: "input",
            transition: "all 0.3s",
            backgroundColor: "background",
            lineHeight: "body",
            flex: 1,
            width: "100%",
            "::placeholder": {
                color: "placeholder",
            },
            "&:focus": {
                border: "1px solid",
                borderColor: "primary",
                boxShadow: t => `0 0 0 3px ${transparentize(0.5)(t.colors.primary)}`,
            },
        });
    }, []);
    const sizeStyles = useMemo(() => {
        const isSm = size === ESize.sm;
        const isLg = size === ESize.lg;
        const paddingTop = isLg ? 3 : isSm ? 1 : 2;
        const paddingLeft = isLg ? 5 : isSm ? 3 : 4;
        return getCss({
            paddingTop,
            paddingLeft,
            paddingBottom: paddingTop,
            paddingRight: paddingLeft,
            fontSize: isLg ? 3 : isSm ? 1 : 2,
            borderRadius: size,
        });
    }, [size]);
    return (jsx("input", Object.assign({ css: [baseStyles, sizeStyles, style], ref: ref, value: value, onChange: onChange }, rest)));
});
Input.defaultProps = {
    size: "default",
};
