/** @jsx jsx */
import { useMemo } from "react";
import { jsx, getCss } from "../theme";
export const Container = props => {
    const { children, style = {}, fluid, align } = props;
    const baseStyles = useMemo(() => {
        return getCss({
            width: "100%",
            paddingRight: "15px",
            paddingLeft: "15px",
            boxSizing: "border-box",
            maxWidth: fluid === true
                ? undefined
                : ["100%", "540px", "720px", "960px", "1140px"],
        });
    }, [fluid]);
    return (jsx("div", { css: { justifyContent: align, display: "flex" } },
        jsx("div", { css: [baseStyles, style] }, children)));
};
Container.defaultProps = {
    fluid: false,
    align: "center",
};
