import React from "react";
import { Container } from "./container";
import { Col } from "./col";
import { Row } from "./row";
import { getCss } from "../theme";
export default {
    title: "Flex Container",
    component: Container,
};
export const ContainerUsage = () => {
    const style = getCss({
        backgroundColor: "primary",
        textAlign: "center",
        color: "#fff",
        marginBottom: "16px",
    });
    return (React.createElement("div", null,
        React.createElement(Container, { style: style }, "Container"),
        React.createElement(Container, { style: style, fluid: true }, "Container(fluid is true)")));
};
export const ResponsiveLayout = () => {
    return (React.createElement("div", null,
        React.createElement("p", null,
            "You can customize the media query through ",
            React.createElement("code", null, "getCss"),
            " function."),
        React.createElement("p", null, "The default value is the breakpoints of bootstrap(\"576px\", \"768px\", \"992px\", \"1200px\")."),
        React.createElement("p", null,
            "The default breakpoints represents the layout list below:",
            React.createElement("ul", null,
                React.createElement("li", null, "- Extra small < 576px"),
                React.createElement("li", null, "- Small < 768"),
                React.createElement("li", null, "- Medium < 992px"),
                React.createElement("li", null, "- Large < 1200px"),
                React.createElement("li", null, "- Extra large \u2265 1200px"))),
        React.createElement(Container, { style: getCss({
                width: ["100px", "200px", "300px", "400px", "500px"],
                background: "#eeeeee",
                textAlign: "center",
            }) }, "Container")));
};
export const GridLayout = () => {
    const row1Col1Style = {
        backgroundColor: "blue",
        color: "#fff",
        padding: "16px",
        textAlign: "center",
    };
    const row1Col2Style = {
        backgroundColor: "red",
        color: "#fff",
        padding: "16px",
        textAlign: "center",
    };
    const row1Col3Style = {
        backgroundColor: "orange",
        color: "#fff",
        padding: "16px",
        textAlign: "center",
    };
    const styles = {
        padding: "16px",
        border: "1px solid #eee",
        textAlign: "center",
    };
    return (React.createElement("div", null,
        React.createElement(Row, { style: { marginBottom: "16px" } },
            React.createElement(Col, { style: row1Col1Style }, "col-1"),
            React.createElement(Col, { style: row1Col2Style }, "col-2"),
            React.createElement(Col, { style: row1Col3Style }, "col-3")),
        React.createElement(Row, null,
            React.createElement(Col, { style: styles, cols: 6 }, "column-1"),
            React.createElement(Col, { style: styles, cols: 6 }, "column-2"),
            React.createElement(Col, { style: styles, cols: 12 }, "column-3"))));
};
export const ResponsiveGridLayout = () => {
    const styles = {
        padding: "16px",
        border: "1px solid #eee",
        textAlign: "center",
    };
    const percent100 = "100%";
    return (React.createElement("div", null,
        React.createElement(Row, null,
            React.createElement(Col, { style: styles, cols: [percent100, 6, 6] }, "column-1"),
            React.createElement(Col, { style: styles, cols: [percent100, 18, 6] }, "column-2"),
            React.createElement(Col, { style: styles, cols: [percent100, 24, 12] }, "column-3"))));
};
