/** @jsx jsx */
import React from "react";
import { jsx } from "theme-ui";
import { SolidAngleDown } from "@fedlinker/font-awesome";
const SubMenu = props => {
    const { title, children, level } = props;
    return (jsx("div", { sx: {} },
        jsx("div", { sx: {
                boxSizing: "border-box",
                paddingLeft: `${8 + 12 * level}px`,
                paddingRight: "8px",
                lineHeight: "64px",
                display: "flex",
                color: "text",
                transition: "all 0.3s",
                borderBottom: t => `1px solid ${t.colors.border}`,
                "&:hover": {
                    color: "primary",
                },
            } },
            jsx("div", { sx: { flex: 1 } }, title),
            jsx(SolidAngleDown, null)),
        React.Children.map(children, (c, i) => {
            return React.cloneElement(c, {
                level: level + 1,
            });
        })));
};
SubMenu.defaultProps = {
    level: 1,
};
export default SubMenu;
