/** @jsx jsx */
import React from "react";
import { Interpolation } from "../theme";
export interface IModalBaseProps {
    /** whether the modal is opened */
    open?: boolean;
    children?: React.ReactNode;
    /** mask */
    mask?: boolean;
    maskClosable?: boolean;
    maskStyle?: Interpolation;
    /** called when the modal needs to be closed */
    onClose?(): void;
    /** life cycles */
    onOpen?(): void;
    onOpened?(): void;
    onExit?(): void;
    onExited?(): void;
}
export declare const ModalBase: React.ForwardRefExoticComponent<IModalBaseProps & React.RefAttributes<HTMLDivElement>>;
