var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/** @jsx jsx */
import React from "react";
import { jsx } from "../theme";
import { ModalBase } from "./modal-base";
import { getCss } from "../theme";
import { SolidTimes } from "@fedlinker/font-awesome";
import { Button } from "../button";
export const Modal = React.forwardRef((props, ref) => {
    const { title, children, onClose, noBtnProps, noBtnText, yesBtnProps, yesBtnText } = props, modalbaseProps = __rest(props, ["title", "children", "onClose", "noBtnProps", "noBtnText", "yesBtnProps", "yesBtnText"]);
    return (jsx(ModalBase, Object.assign({}, modalbaseProps, { onClose: onClose, ref: ref }),
        jsx("div", { css: getCss({
                padding: 5,
                display: "flex",
            }) },
            jsx("div", { css: { flex: 1, fontWeight: "bold" } }, title),
            jsx("div", { css: getCss({
                    padding: 5,
                    margin: -5,
                    color: "secondary",
                    cursor: "pointer",
                    transition: "all 0.3s",
                    "&:hover": {
                        color: "text",
                    },
                }), onClick: onClose },
                jsx(SolidTimes, null))),
        jsx("div", { css: getCss({
                padding: 5,
                border: "1px solid",
                borderColor: "border",
                borderLeft: "none",
                borderRight: "none",
            }) }, children),
        jsx("div", { css: getCss({
                padding: 5,
                textAlign: "right",
                "& > button": {
                    margin: 1,
                },
            }) },
            jsx(Button, Object.assign({ type: "danger", onClick: onClose }, noBtnProps), noBtnText),
            jsx(Button, Object.assign({ type: "primary" }, yesBtnProps), yesBtnText))));
});
Modal.defaultProps = {
    noBtnText: "No",
    noBtnProps: {},
    yesBtnText: "Yes",
    yesBtnProps: {},
};
