import React, { useState } from "react";
import { ModalBase } from "../modal-base";
import { Modal } from "../modal";
import { Button } from "../../button";
import times from "lodash/times";
import { action } from "@storybook/addon-actions";
export default {
    title: "Modal",
};
export const ModalbaseUsage = () => {
    const [open, setOpen] = useState(false);
    return (React.createElement("div", null,
        React.createElement(Button, { type: "primary", onClick: () => setOpen(true) }, "Open Modal"),
        React.createElement(ModalBase, { open: open, onClose: () => setOpen(false) },
            React.createElement("div", null, "I'am is Modal base"))));
};
export const ModalUsage = () => {
    const [open, setOpen] = useState(false);
    return (React.createElement("div", null,
        React.createElement(Button, { type: "primary", onClick: () => setOpen(true) }, "Open Modal"),
        times(30, o => {
            return (React.createElement("div", { style: { fontSize: "24px", textAlign: "center" }, key: o },
                "This is the count: ",
                o,
                "."));
        }),
        React.createElement(Modal, { title: "Modal title", open: open, onClose: () => setOpen(false), onOpen: action("onOpen"), onOpened: action("onOpened"), onExit: action("onExit"), onExited: action("onExited") },
            React.createElement("div", null, "I'am is Modal base"))));
};
export const CustomizeButton = () => {
    const [open, setOpen] = useState(false);
    return (React.createElement("div", null,
        React.createElement(Button, { type: "primary", onClick: () => setOpen(true) }, "Open Modal"),
        React.createElement(Modal, { title: "Modal title", open: open, onClose: () => setOpen(false), noBtnProps: { disabled: true }, noBtnText: "Close", yesBtnProps: { loading: true }, yesBtnText: "Save changes" },
            React.createElement("div", null, "I'am is Modal base"))));
};
