import React, { useState, useContext } from "react";
export const DEFAULT_COLOR_MODE_VALUE = "default";
export const ColorModeContext = React.createContext({
    colorMode: DEFAULT_COLOR_MODE_VALUE,
    setColorMode: () => { },
});
export const ColorModeProvider = (props) => {
    const { children, defaultColorMode = DEFAULT_COLOR_MODE_VALUE } = props;
    const [colorMode, setColorMode] = useState(defaultColorMode);
    return (React.createElement(ColorModeContext.Provider, { value: { colorMode, setColorMode } }, children));
};
export const useColorMode = () => {
    const { colorMode, setColorMode } = useContext(ColorModeContext);
    return [colorMode, setColorMode];
};
