import React, { useMemo } from "react";
import { DEFAULT_THEME } from "./default-theme";
import { useTheme } from "./use-theme";
import { ThemeContext } from "./theme-context";
export function ThemeProvider(props) {
    const { children, theme: themeProp } = props;
    const parentTheme = useTheme();
    const theme = useMemo(() => {
        return Object.assign(Object.assign({}, DEFAULT_THEME), themeProp);
    }, [themeProp, parentTheme]);
    return (React.createElement(ThemeContext.Provider, { value: theme }, children));
}
